ReferenceModels and usage
Add a platform model provider (platform admins)
POST
The API key (and any extra headers) are stored encrypted and never returned. In proxy mode agents call the platform, which adds the key; in direct mode agents get the provider's URL and key.
application/json- body
name*stringLength
length <= 100kind*stringValue in
"openai""anthropic""openai-compatible""openai-responses""anthropic-compatible"baseUrl?stringDefault for openai and anthropic; required otherwise (for example https://litellm.example.com/v1)
Length
length <= 2048apiKey*stringLength
length <= 4096accessMode?stringDefault proxy (a team's providers are proxy only)
Value in
"proxy""direct"headers?Extra headers sent with every request (at most 20)
enabled?booleanCreated provider
application/json- response
data*curl -X POST 'https://agents.example.com/v1/admin/model-providers' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "kind": "openai", "apiKey": "string"}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "openai", "baseUrl": "string", "accessMode": "proxy", "enabled": true, "hasHeaders": true, "modelCount": 0, "revision": 0, "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "kind": "team" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}